Payment batches & settlement

Send Squads Setup Notification

Name and signature indicate it sends squads setup notification

POSThttps://api.toku.com/stablecoin-payroll/send-squads-setup-notification

Not available to API keys yet. It will need integrations:write.

curl --request POST \
  --url 'https://api.toku.com/stablecoin-payroll/send-squads-setup-notification' \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{
  "externalUserEmail": "user@example.com",
  "externalUserName": "string",
  "orgID": "3fa85f64-5717-4562-b3fc-2c963f66afa6"
}'
200 response
{
  "success": true,
  "message": "string",
  "signerPublicKey": "string"
}

Authorizations

Authorizationstringheaderrequired

Bearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.

Body

application/json

externalUserEmailstring<email>required
externalUserNamestringrequired

Allowed: 1 to 200 characters

orgIDstring<uuid>

Response

200Successful response
successbooleanrequired
messagestringrequired
signerPublicKeystringrequired
400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits